﻿@*@model List<eCommerce.Services.Model.OrderDetail>
@using eCommerce.Services.Utils
@using eCommerce.Services.Security
@using eCommerce.Services.Model.Enums


<div class="cart-slideout__content">
    @if (Model.Any())
    {
        <div class="cart-slideout__title">Tu carrito <span class="cart-slideout__close js-cart-close">&times;</span></div>

        <div class="cart-slideout__product-list">
            @foreach (var item in Model)
            {
                <div class="cart-slideout__product">

                    <div class="slideout-product__image">
                        <a href="/shop/@item.Product.Category.SeoUrl/@item.Product.SeoUrl">
                            <img class="cart-table__product-image" src="@string.Format("{0}/{1}", Utility.ImgUrl, item.Product.getDefaultResizedImageUrl)" alt="@item.Product.Title" />
                        </a>
                    </div>

                    <div class="slideout-product__data">
                        <div class="slideout-product__title"><a href="/shop/@item.Product.Category.SeoUrl/@item.Product.SeoUrl">@item.Product.Title</a></div>
                        <div class="slideout-product__color">@item.Color.Description</div>
                        <div class="slideout-product__size">@item.Size.Description</div>
                        <div class="slideout-product__bottom">
                            <span class="slideout-product__quantity">x@(item.Quantity)</span>
                            <span class="slideout-product__price">@item.Product.CustomerPrice.ToString("c2") @(User.Identity.IsAuthenticated && ((CustomIdentity)User.Identity).CustomerPriceList == (int)PriceListEnum.Mayorista ? "+ IVA" : string.Empty)</span>
                        </div>
                    </div>

                </div>
            }
        </div>
        
        <div class="cart-slideout__bottom">
            <div class="cart-slideout__total">
                Total <span class="cart-slideout__total-price">@Model.Sum(x => x.Product.CustomerPrice * x.Quantity).ToString("c2") @(User.Identity.IsAuthenticated && ((CustomIdentity)User.Identity).CustomerPriceList == (int)PriceListEnum.Mayorista ? "+ IVA" : string.Empty)</span>
            </div>

            <div class="cart-slideout__button">
                <a href="/shopping-cart" class="button button--large">Ir al carrito</a>
            </div>
        </div>
    }
    else
    {
        <div class="cart-slideout__title">No hay ningún producto en tu carrito <span class="cart-slideout__close js-cart-close">&times;</span></div>
    }

</div>

<div class="loader hidden"><div></div><div></div><div></div><div></div></div>*@